package static

import (
	"context"

	"source.toby3d.me/toby3d/home/internal/domain"
)

type (
	Repository interface {
		// Get returns Static on path if exists
		Get(ctx context.Context, path string) (*domain.Static, error)
	}

	dummyRepository struct{}
)

func NewDummyRepository() dummyRepository {
	return dummyRepository{}
}

func (dummyRepository) Get(ctx context.Context, path string) (*domain.Static, error) {
	return nil, nil
}
